VLOCK(1)

BEZEICHNUNG
vlock - Sperren von virtuellen Konsolen

ÜBERSICHT
vlock

vlock [ -a,--all ] [ -c,--current ] [ -h,--help ] [ -v,--version ]

BESCHREIBUNG
vlock ist ein Programm zum Sperren einer oder mehrerer Sitzungen auf der Linux-Konsole. Dies ist besonders für Linux-Maschinen nützlich, bei denen mehrere Benutzer Zugriff auf die Konsole haben. Ein(e) Benutzer(in) kann seine/ihre Sitzung(en) sperren und dennoch können andere Benutzer das System auf anderen virtuellen Konsolen benutzen. Falls gewünscht, kann die gesamte Konsole gesperrt und das Umschalten zwischen virtuellen Konsolen deaktiviert werden.

Standardmäßig wird nur die aktuelle VC (virtuelle Konsole) gesperrt. Mit der Option -a,-all werden alle virtuellen Konsolen gesperrt. Die gesperrten VCs können ohne das Passwort des Aufrufenden nicht entsperrt werden. Und für die Paranoiden macht Vlock es zu einer Herausforderung, das Passwort zu raten, so dass unberechtigter Zugriff auf Sitzung(en) sehr unwahrscheinlich wird.

Bitte beachten Sie, dass es gut möglich ist, dass Sie sich selber von der Konsole mit der Option -a,--all aussperren, falls Sie sich nicht an Ihr Passwort erinnern können. Dann ist ein harter Neustart die einzige Methode, die Anzeige zu »entsperren«, wenn Sie keine Möglichkeit haben, sich aus der Ferne über ein serielles Terminal oder das Netzwerk anzumelden und Vlock zu töten.

vlock funktioniert hauptsächlich für das Sperren von Konsole-Sitzungen. Es gibt aber auch Unterstützung für das Sperren von Nicht-Konsole-Sitzungen; dies wurde aber nicht ausreichend getestet.

OPTIONEN
-a,--all

    Alle Konsolensitzungen sperren und VC-Umschaltung deaktivieren.

-c,--current

    Die aktuelle Sitzung sperren (dies ist die Vorgabe).

-h,--help

    Eine kurze Hilfemeldung ausgeben.

-v,--version

    Die Versionsnummer von vlock ausgeben.

AUTOREN
Michael K. Johnson <johnsonm@redhat.com>

SIEHE AUCH
chvt(1), deallocvt(1), openvt(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.